X509_SIG_NEW(3)

NAME
X509_SIG_new, X509_SIG_free - PKCS#7 digest information

SYNOPSIS
#include <openssl/x509.h>
X509_SIG *
X509_SIG_new(void);
void
X509_SIG_free(X509_SIG *sig);

DESCRIPTION
X509_SIG_new() allocates and initializes an empty X509_SIG object, representing an ASN.1 DigestInfo structure defined in RFC 2315 section 9.4 and equivalently in RFC 8017 section 9.2. It can hold a message digest together with information about the algorithm used.

X509_SIG_free() frees sig.

RETURN VALUES
X509_SIG_new() returns the new X509_SIG object or NULL if an error occurs.

SEE ALSO
d2i_X509_SIG(3), PEM_read_PKCS8(3), RSA_sign(3), X509_new(3), X509_SIG_get0(3)

STANDARDS
RFC 2315: PKCS #7: Cryptographic Message Syntax, section 9: Signed-data content type

RFC 8017: PKCS #1: RSA Cryptography Specifications, section 9: Encoding Methods for Signatures

HISTORY
X509_SIG_new() and X509_SIG_free() appeared in SSLeay 0.4 or earlier and have been available since OpenBSD 2.4.